Cantera 2.6.0

Classes | Namespaces | Functions | Variables
Func1.h File Reference
`#include "cantera/base/ct_defs.h"`
`#include "cantera/base/ctexceptions.h"`
`#include <iostream>`
Include dependency graph for Func1.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Func1
| Base class for 'functor' classes that evaluate a function of one variable. More...
class | Sin1
| implements the sin() function More...
class | Cos1
| implements the cos() function More...
class | Exp1
| implements the exponential function More...
class | Pow1
| implements the power function (pow) More...
class | Tabulated1
| The Tabulated1 class implements a tabulated function. More...
class | Const1
| The Const1 class implements a constant. More...
class | Sum1
| Sum of two functions. More...
class | Diff1
| Difference of two functions. More...
class | Product1
| Product of two functions. More...
class | TimesConstant1
| Product of two functions. More...
class | PlusConstant1
| A function plus a constant. More...
class | Ratio1
| Ratio of two functions. More...
class | Composite1
| Composite function. More...
class | Gaussian
| A Gaussian. More...
class | Poly1
| Polynomial of degree n. More...
class | Fourier1
| Fourier cosine/sine series. More...
class | Arrhenius1
| Sum of Arrhenius terms. More...
class | Periodic1
| Periodic function. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
Func1 & | newSumFunction (Func1 &f1, Func1 &f2)
Func1 & | newDiffFunction (Func1 &f1, Func1 &f2)
Func1 & | newProdFunction (Func1 &f1, Func1 &f2)
Func1 & | newRatioFunction (Func1 &f1, Func1 &f2)
Func1 & | newCompositeFunction (Func1 &f1, Func1 &f2)
Func1 & | newTimesConstFunction (Func1 &f, doublereal c)
Func1 & | newPlusConstFunction (Func1 &f, doublereal c)

## Variables
const int | FourierFuncType = 1
const int | PolyFuncType = 2
const int | ArrheniusFuncType = 3
const int | GaussianFuncType = 4
const int | SumFuncType = 20
const int | DiffFuncType = 25
const int | ProdFuncType = 30
const int | RatioFuncType = 40
const int | PeriodicFuncType = 50
const int | CompositeFuncType = 60
const int | TimesConstantFuncType = 70
const int | PlusConstantFuncType = 80
const int | SinFuncType = 100
const int | CosFuncType = 102
const int | ExpFuncType = 104
const int | PowFuncType = 106
const int | ConstFuncType = 110
const int | TabulatedFuncType = 120